This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 67657 - Wrong device is highlighted when editing local printer configuration
Wrong device is highlighted when editing local printer configuration
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: printconf (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-06-28 13:40 EDT by Tim Waugh
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-14 08:19:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-06-28 13:40:37 EDT
Description of Problem: 
Really odd behaviour. 
 
Version-Release number of selected component (if applicable): 
pygtk2-1.99.10-5.1 
 
How Reproducible: 
100% 
 
Steps to Reproduce: 
import gtk 
c=gtk.CList() 
row=c.append('a') 
c.set_row_data(row,'/d') 
c.find_row_from_data('/d') 
 
Actual Results: 
-1 
 
Expected Results: 
0 
 
Additional Information: 
If you change '/d' to something else like 'x', it works. 
 
This is causing GUI oddness in printconf-gui.  But it's been there for a 
while..
Comment 1 Tim Waugh 2002-07-12 09:38:34 EDT
Ah, of course: it's comparing Python objects, not doing string comparisons.  This printconf bug 
is fixed in CVS.
Comment 2 Tim Waugh 2002-07-14 08:19:14 EDT
Fixed in redhat-config-printer-0.4.14-1.
Comment 3 Jay Turner 2002-09-03 23:12:20 EDT
Fix confirmed with redhat-config-printer-0.4.23-1.

Note You need to log in before you can comment on or make changes to this bug.